-- created by Martin Hawlisch

dofile(enigma.FindDataFile("levels/ant.lua"))

cells={}

cells[" "]=cell{floor="fl-metal"}
cells["#"]=cell{stone="st-metal"}
cells["~"]=cell{floor="fl-water"}
if (options.Difficulty==1) then -- easy
	cells["-"]=cells[" "]
else
	cells["-"]=cells["~"]
end
cells["w"]=cell{item="it-weight"}
cells["k"]=cell{item="it-floppy"}
cells["<"]=cell{stone="st-oneway-w"}
cells[">"]=cell{stone="st-oneway-e"}
cells["S"]=cell{stone={"st-floppy", {action="openclose", target="door1"}}}
cells["="]=cell{{{doorh, {name="door1"}}}}
cells["o"]=cell{parent=cells[" "],actor={"ac-blackball", {player=0, mouseforce=1}}}

level = {
   "####################",
   "#                  #",
   "#                o #",
   "#                  #",
   "#   ###########~~~~#",
   "#   >wwwwwwwwwww~~~#",
   "#   ###########w~~~#",
   "#   <kwwwwwwwwww~~~#",
   "##=S###########~~~~#",
   "#                  #",
   "# -- -- -  - -- -- #",
   "# -- -- -  - -- -- #",
   "#0##0##0#00#0##0##0#"
}


set_default_parent(cells[" "])

create_world_by_map(level,cells)

oxyd_shuffle()
